Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SDUDGraphicAnimation Class Referencefinal

Internal: virtual class to store a SDUD graphic animation. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDUDGraphicAnimation:

## Public Member Functions
| SDUDGraphicAnimation ()
| constructor
| ~SDUDGraphicAnimation () override
| destructor
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDUDGraphic
| SDUDGraphic (int id)
| constructor
| ~SDUDGraphic () override
| destructor
std::string | getName () const override
| return the object name
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDRUserData
| SDRUserData (int id=-1)
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener

## Public Attributes
std::vector< STOFFVec2i > | m_polygon
| the polygon
STOFFVec2i | m_limits [2]
| the limits start, end
int | m_values [8]
| the values: presentation effect, speed, clickAction, presentation effect[second], speed[second], invisible, verb, text effect
STOFFColor | m_colors [2]
| the colors
bool | m_flags [3]
| some flags : active, dim[previous], isMovie
bool | m_booleans [5]
| some bool : hasSound, playFull, sound[second], playFull[second], dim[hide]
librevenge::RVNGString | m_names [3]
| the names : sound file, bookmark, sound file[second]
int | m_order
| the presentation order
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SDUDGraphicAnimation const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a SDUD graphic animation.

## Constructor & Destructor Documentation

## ◆ SDUDGraphicAnimation()

StarObjectSmallGraphicInternal::SDUDGraphicAnimation::SDUDGraphicAnimation | ( |  | ) |
| inline

constructor

## ◆ ~SDUDGraphicAnimation()

StarObjectSmallGraphicInternal::SDUDGraphicAnimation::~SDUDGraphicAnimation | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SDUDGraphicAnimation::print | ( |  | ) | const
| inline override virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SDUDGraphic.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SDUDGraphicAnimation const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_booleans

bool StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_booleans[5]

some bool : hasSound, playFull, sound[second], playFull[second], dim[hide]

Referenced by SDUDGraphicAnimation().

## ◆ m_colors

STOFFColor StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_colors[2]

the colors

Referenced by SDUDGraphicAnimation().

## ◆ m_flags

bool StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_flags[3]

some flags : active, dim[previous], isMovie

Referenced by SDUDGraphicAnimation().

## ◆ m_limits

STOFFVec2i StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_limits[2]

the limits start, end

## ◆ m_names

librevenge::RVNGString StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_names[3]

the names : sound file, bookmark, sound file[second]

## ◆ m_order

int StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_order

the presentation order

## ◆ m_polygon

std::vector<STOFFVec2i> StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_polygon

the polygon

## ◆ m_values

int StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_values[8]

the values: presentation effect, speed, clickAction, presentation effect[second], speed[second], invisible, verb, text effect

Referenced by SDUDGraphicAnimation().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx